org.apache.avro.data

## Class TimeConversions.DateConversion

- java.lang.Object
- - org.apache.avro.Conversion<LocalDate>
  - - org.apache.avro.data.TimeConversions.DateConversion

Enclosing class:
  TimeConversions

    public static class TimeConversions.DateConversion
    extends Conversion<LocalDate>

### Constructor Summary

Constructors
Constructor and Description
`DateConversion()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LocalDate` `fromInt(Integer daysFromEpoch, Schema schema, LogicalType type)`
`Class<LocalDate>` `getConvertedType()` Return the Java class representing the logical type.
`String` `getLogicalTypeName()` Return the logical type this class converts.
`Schema` `getRecommendedSchema()`
`Integer` `toInt(LocalDate date, Schema schema, LogicalType type)`

### Methods inherited from class org.apache.avro.Conversion

`adjustAndSetValue, fromArray, fromBoolean, fromBytes, fromCharSequence, fromDouble, fromEnumSymbol, fromFixed, fromFloat, fromLong, fromMap, fromRecord, toArray, toBoolean, toBytes, toCharSequence, toDouble, toEnumSymbol, toFixed, toFloat, toLong, toMap, toRecord`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateConversion

    public DateConversion()

### Method Detail

#### getConvertedType

    public Class<LocalDate> getConvertedType()

Description copied from class: `Conversion`
Return the Java class representing the logical type.

Specified by:
  `getConvertedType` in class `Conversion<LocalDate>`
Returns:
  a Java class returned by from methods and accepted by to methods

#### getLogicalTypeName

    public String getLogicalTypeName()

Description copied from class: `Conversion`
Return the logical type this class converts.

Specified by:
  `getLogicalTypeName` in class `Conversion<LocalDate>`
Returns:
  a String logical type name

#### fromInt

    public LocalDate fromInt(Integer daysFromEpoch,
                             Schema schema,
                             LogicalType type)

Overrides:
  `fromInt` in class `Conversion<LocalDate>`

#### toInt

    public Integer toInt(LocalDate date,
                         Schema schema,
                         LogicalType type)

Overrides:
  `toInt` in class `Conversion<LocalDate>`

#### getRecommendedSchema

    public Schema getRecommendedSchema()

Overrides:
  `getRecommendedSchema` in class `Conversion<LocalDate>`